<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<TITLE>Update a Record</TITLE>
</HEAD>
<BODY>

<?
/***************************************************************************
 *			do_updates3_menu.php	                           *
 *                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~	                   *
 *   File Info:		  Update category record                           *
 *   Copyright:       Copyright 2003 http://www.128concepts.com            *
 *						                           *
 ***************************************************************************/
include("./config.php");
include("./header.inc");
?>
<?
$table = "category";
  if ($_SERVER['REQUEST_METHOD'] == "POST") 
  {
        # escape data and set variables
        $category = addslashes($_POST["category"]);
        $catid = addslashes($_POST["catid"]);
       $cpic = addslashes($_POST["cpic"]);
}
$conn = @mysql_connect($server,$user,$password)
	or die("Unable to connect to SQL database...");
$rs = @mysql_select_db($database,$conn) 
	or die("Unable to select the database...Please press 'Create Database' to create new database.");
echo("<br><img src=images/line.gif border=0 width=100% height=1><font face=verdana size=2>Updating category record with CATEGORY ID = ");
echo($category);
echo("</font><br>");
$done = "FALSE";
$sql = " SELECT category,catid from $table where catid = $catid";
$rs = @mysql_query($sql,$conn)
	or die("Could not execute SQL query!!! Possibly SQL query already been executed.");
while($row=mysql_fetch_array($rs))
{
       $cats = $row["category"];
       $catsid = $row["catid"];
       $cpics = $row["cpic"];
       echo("<font face=verdana size=2>Category: $cats</font>"); 
       echo(" <br><font face=verdana size=2>Category ID: $catsid</font>");
       echo(" <br><font face=verdana size=2>Category Picture: $cpics</font>");
       echo("<br><font face=verdana size=2>Press the 'View Records' menu link to view all category records.</font><img src=images/line.gif border=0 width=100% height=1>");
       $done = "OK";
}
if ($done=="FALSE")
{
	echo("<br><center><img src=images/bullets.gif border=0><font face=verdana size=2> Opps...its seems cannot update category record with CATEGORY ID = ");
	echo($catid);
	echo "</font>";
	include_once("./your-footer.inc");
	exit();
}
?>
<img src=images/line.gif border=0 width=100% height=1><br><br>
<center><img src=images/computer.gif border=0><font face=verdana size=3 color=darkred>Updating a Record to CATEGORY</font></center><br>
<?
echo("<center><img src=images/bullets.gif border=0><font face=verdana size=2 color=navy> Updating category record with category id = '$catid'</font>");
$sql="UPDATE $table set category=";
$sql.="'$category'";
$sql.=" where catid = '$catid'";
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't update record.");
$sqls = "UPDATE $table set cpic='$cpic' where catid='$catid'";
$sql_resulst = mysql_query($sqls,$conn)
	or die("Couldn't update record.");
echo "<font face=verdana size=2>....Successfully updated category</font></center><br><br>";
?>

<center>
<table width="500" border=1><tr align="justify" class="subtitle"><td>
  <p align="center">
  <img border="0" src="images/database.GIF" width="24" height="24"><font face=Verdana size=1><a href="./create_db.php">Create database</a>&nbsp;
  <img border="0" src="images/database.GIF" width="24" height="24"></font><a href="./delete_db.php"><font face=Verdana size=1>Delete database</font></a><font face="Verdana" size="1">&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"><a href="./create_menu.php">Create table</a>&nbsp;&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24">&nbsp;
  </font> <a href="./add_menu.php"><font face=Verdana size=1>Add Record </font></a>  
  </p>
  <p align="center">&nbsp;<font face="Verdana" size="1"><img border="0" src="images/Records.GIF" width="24" height="24"></font><a href="./view_menu.php"><font face=verdana size=1>View Records</font></a>&nbsp;
  <font face="Verdana" size="1">&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"></font><a href="./del_menu.php"><font face=verdana size=1>Delete Record</font></a>
  <font face="Verdana" size="1">&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"></font> <a href="./upd_menu.php"><font face=verdana size=1>Update Record</font></a>&nbsp;
  <img border="0" src="images/home-to.GIF" width="24" height="24"><font face=verdana size=1>&nbsp; <a href="./index.php">Home</a></font>  </a></td></tr></table><br></center>
<?php include("./your-footer.inc");?>
</BODY>
</HTML>
